Subject: [Pce] draft-ietf-pce-pcep-domain-sequence-06

From: Wenhu Lu <[email-masked]>
Date: Thu, 20 Nov 2014 21:28:04 +0000

Dear authors,

Following the presentation in IETF91, I would like to add several comments below:

o   Which track:

o   Protocol and ability to define domain wide sequence is gaining importance recently, and in particular when applied to the use-cases like

•  SDN controller

·      It will have to determine the set of entities and the order of them in forming paths

•  In SPRING, the sequence can serve as input in source routing

o   I’m not sure if it’s too late. But I think this draft can be on the standard track.

o   Section 1 “The Domain-Sequence … out of scope”

o   I think this should be included as “in-scope”, or defined in a separate document

•  We can define strict and loose sequence

·      similar to RSVP EROs, loose or strict

·      In case of loose, it can be either

o   Administratively, giving admin/controller power/flexibility

•  This may include Policy (Similar to RPL/ACL)

•  And if one wants to go non-conventional paths

•  Even H-PCE can be considered as in this category, as one has to decide how to partition and arrange the tree

o   Automated

•  ABR/ASBR negotiation (capability and dependency)

•  There are drafts doing “lowest-cost” (similar to IGP’s shortest path) algorithm

o   Typo: section 7.5 “and signaling message” should be “a signaling message”

Regards,
-wenhu